Index: /trunk/pbs_swig/distro/CHANGES
===================================================================
--- /trunk/pbs_swig/distro/CHANGES	(revision 109)
+++ /trunk/pbs_swig/distro/CHANGES	(revision 110)
@@ -1,4 +1,6 @@
-=========== Version 2.8.?
+=========== Version 2.9.0
+	- Added support for new torque build system 2.1.0
 	- Added new_rack_pbsmon.py
+	  Authors: Walter de Jong & Bas van der Vlies
 
 =========== Version 2.8.2
Index: /trunk/pbs_swig/distro/debian/changelog
===================================================================
--- /trunk/pbs_swig/distro/debian/changelog	(revision 109)
+++ /trunk/pbs_swig/distro/debian/changelog	(revision 110)
@@ -1,2 +1,8 @@
+pbs-python (2.9.0-1) unstable; urgency=low
+
+  * Added new build system for torque 2.1.0 and higher
+
+ -- Bas van der Vlies <bas@rc.sara.nl>  Thu, 20 Apr 2006 14:25:21 +0200
+
 pbs-python (2.8.2-3) unstable; urgency=low
 
Index: /trunk/pbs_swig/distro/examples/logpbs.py
===================================================================
--- /trunk/pbs_swig/distro/examples/logpbs.py	(revision 109)
+++ /trunk/pbs_swig/distro/examples/logpbs.py	(revision 110)
@@ -5,5 +5,5 @@
 # Desc. : How to use the logging facility of Openpbs
 #
-# $Id: logpbs.py,v 1.1 2002/10/21 12:31:41 sscpbas Exp $
+# $Id$
 #
 import pbs
@@ -26,6 +26,6 @@
    # Open the sched log file
    #
-   if pbs.log_open('', '/var/spool/openpbs/sched_logs'):
-     print 'Could not open log file in /var/spool/openpbs/sched_logs'
+   if pbs.log_open('', '/var/spool/torque/sched_logs'):
+     print 'Could not open log file in /var/spool/torque/sched_logs'
      sys.exit(1)
 
Index: /trunk/pbs_swig/distro/pbs_python.spec
===================================================================
--- /trunk/pbs_swig/distro/pbs_python.spec	(revision 109)
+++ /trunk/pbs_swig/distro/pbs_python.spec	(revision 110)
@@ -1,5 +1,5 @@
 Summary: This package contains the pbs python module.
 Name: pbs_python
-Version: 2.8.1 
+Version: 2.9.0
 Release: 1
 Copyright: See LICENSE
Index: /trunk/pbs_swig/distro/setup.py.in
===================================================================
--- /trunk/pbs_swig/distro/setup.py.in	(revision 109)
+++ /trunk/pbs_swig/distro/setup.py.in	(revision 110)
@@ -2,4 +2,7 @@
 #
 # $Id: setup.py 434 2005-11-04 15:02:07Z bas $
+#
+# set ts=4
+#
 
 import sys
@@ -8,34 +11,41 @@
 from distutils.core import setup, Extension 
 
-# Libs required by this package
-#
-LIBS = ['log', 'net', 'pbs'] 
-
 # Try some usefule defaults if not set
 #
 PBS_LIB_DIR='@pbspath@'
-if not PBS_LIB_DIR:
-  for dir in ['/usr/lib', '/usr/local/lib', '/opt/pbs/usr/lib', '/usr/lib/torque', '/opt/pbs/lib', '/opt/torque/lib' ]:
-    dummy = os.path.join(dir, 'libpbs.a')
-    if os.path.exists(dummy):
-      PBS_LIB_DIR=dir
-      break
+NEW_BUILD_SYSTEM=1
 
 if not PBS_LIB_DIR:
-  print 'Please specify where the PBS libraries are!!'
-  print 'edit setup.py and fill in the PBS_LIB_DIR variable'
-  sys.exit(1)
+	for dir in ['/usr/lib', '/usr/local/lib', '/opt/pbs/usr/lib', '/usr/lib/torque', '/opt/pbs/lib', '/opt/torque/lib' ]:
+		dummy_new = os.path.join(dir, 'libtorque.so')
+		dummy_old = os.path.join(dir, 'libpbs.a')
+		if os.path.exists(dummy_new):
+			PBS_LIB_DIR=dir
+			break
+		elif os.path.exists(dummy_old):
+			PBS_LIB_DIR=dir
+			NEW_BUILD_SYSTEM=0
+			break
+
+if not PBS_LIB_DIR:
+	print 'Please specify where the PBS libraries are!!'
+	print 'edit setup.py and fill in the PBS_LIB_DIR variable'
+	sys.exit(1)
 
 # Test if we have all the libs:
 #
-for lib in LIBS:
-  library = 'lib%s.a' %(lib) 
-  dummy = os.path.join(PBS_LIB_DIR, library)
-  if not os.path.exists(dummy):
-    print 'You need to install "%s" in %s' %(library, PBS_LIB_DIR)
-    sys.exit(1)
+if NEW_BUILD_SYSTEM:
+	LIBS = ['torque']
+else:
+	LIBS = ['log', 'net', 'pbs']
+	for lib in LIBS:
+		library = 'lib%s.a' %(lib)
+		dummy = os.path.join(PBS_LIB_DIR, library)
+    	if not os.path.exists(dummy):
+			print 'You need to install "%s" in %s' %(library, PBS_LIB_DIR)
+			sys.exit(1)
 
 setup ( name = 'pbs_python',
-        version = '2.8.0',
+	version = '2.9.0',
 	description = 'openpbs/torque python interface',
 	author = 'Bas van der Vlies',
@@ -44,13 +54,11 @@
 
 	extra_path = 'pbs',
-        package_dir = { '' : 'src' }, 
-	py_modules = [ 'pbs', 'PBSQuery' ],
+		package_dir = { '' : 'src' }, 
+		py_modules = [ 'pbs', 'PBSQuery' ], 
 
 	ext_modules = [ 
-	  Extension( '_pbs', ['src/pbs_wrap.c'],
-	  library_dirs = [ PBS_LIB_DIR ],
-	  libraries = LIBS
-	  ) 
+		Extension( '_pbs', ['src/pbs_wrap.c'],
+		library_dirs = [ PBS_LIB_DIR ],
+		libraries = LIBS) 
 	]
 )
-
Index: /trunk/pbs_swig/distro/src/pbs.py
===================================================================
--- /trunk/pbs_swig/distro/src/pbs.py	(revision 109)
+++ /trunk/pbs_swig/distro/src/pbs.py	(revision 110)
@@ -5,5 +5,5 @@
 import _pbs
 
-def _swig_setattr(self,class_type,name,value):
+def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
     if (name == "this"):
         if isinstance(value, class_type):
@@ -14,5 +14,11 @@
     method = class_type.__swig_setmethods__.get(name,None)
     if method: return method(self,value)
-    self.__dict__[name] = value
+    if (not static) or hasattr(self,name) or (name == "thisown"):
+        self.__dict__[name] = value
+    else:
+        raise AttributeError("You cannot add attributes to %s" % self)
+
+def _swig_setattr(self,class_type,name,value):
+    return _swig_setattr_nondynamic(self,class_type,name,value,0)
 
 def _swig_getattr(self,class_type,name):
@@ -228,5 +234,5 @@
     def __init__(self): raise RuntimeError, "No constructor defined"
     def __repr__(self):
-        return "<C attrl instance at %s>" % (self.this,)
+        return "<%s.%s; proxy of C attrl instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
     __swig_setmethods__["name"] = _pbs.attrl_name_set
     __swig_getmethods__["name"] = _pbs.attrl_name_get
@@ -257,5 +263,5 @@
     def __init__(self): raise RuntimeError, "No constructor defined"
     def __repr__(self):
-        return "<C attropl instance at %s>" % (self.this,)
+        return "<%s.%s; proxy of C attropl instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
     __swig_setmethods__["name"] = _pbs.attropl_name_set
     __swig_getmethods__["name"] = _pbs.attropl_name_get
@@ -286,5 +292,5 @@
     def __init__(self): raise RuntimeError, "No constructor defined"
     def __repr__(self):
-        return "<C batch_status instance at %s>" % (self.this,)
+        return "<%s.%s; proxy of C batch_status instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
     __swig_setmethods__["name"] = _pbs.batch_status_name_set
     __swig_getmethods__["name"] = _pbs.batch_status_name_get
@@ -549,5 +555,5 @@
   Returns the pbs python interface version as a string. 
   """
-  return '2.8.2'
+  return '2.9.0'
 
 # A useful dict with error codes to text
